local MedievalWall = ...

-- Register Walls
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Iron_Part", "PREFAB_FENCE_IRON_DARK")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Iron_Part", "PREFAB_FENCE_IRON_LIGHT")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Iron_Fleur_Part", "PREFAB_FENCE_IRON_FLEUR_DARK")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Iron_Fleur_Part", "PREFAB_FENCE_IRON_FLEUR_LIGHT")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Stone_Part", "PREFAB_FENCE_STONE_DARK")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Stone_Part", "PREFAB_FENCE_STONE_LIGHT")

-- Register Dark Parts
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar1_Part", "PREFAB_COBBLESTONE_PILLAR1_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar2_Part", "PREFAB_COBBLESTONE_PILLAR2_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar3_Short_Part", "PREFAB_COBBLESTONE_PILLAR3_SHORT_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar4_Octo_Part", "PREFAB_COBBLESTONE_PILLAR4_OCTO_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar_Broken1_Part", "PREFAB_COBBLESTONE_PILLAR_BROKEN1_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Part", "PREFAB_BRICK_PILLAR_SQUARE_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pillar_Octo_Part", "PREFAB_BRICK_PILLAR_OCTO_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Short_Part", "PREFAB_BRICK_PILLAR_SQUARE_SHORT_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pillar_Broken1_Part", "PREFAB_BRICK_PILLAR_BROKEN1_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Base_Part", "PREFAB_COBBLESTONE_BASE_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Arch_Part", "PREFAB_ARCH_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Tomb_Part", "PREFAB_TOMB_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Pavilion_Part", "PREFAB_PAVILION_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part", "PREFAB_BRICK_PATHWAY_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part", "PREFAB_COBBLESTONE_PATHWAY_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Wall_Short_Part", "PREFAB_COBBLESTONE_WALL_SHORT_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Part", "PREFAB_BRICK_WALL_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Half_Part", "PREFAB_BRICK_WALL_HALF_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Short_Part", "PREFAB_BRICK_WALL_SHORT_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Short_Half_Part", "PREFAB_BRICK_WALL_SHORT_HALF_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Curve_Part", "PREFAB_BRICK_WALL_CURVE_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Short_Curve_Part", "PREFAB_BRICK_WALL_SHORT_CURVE_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Broken_Part", "PREFAB_BRICK_WALL_BROKEN_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Half_Broken_Part", "PREFAB_BRICK_WALL_HALF_BROKEN_DARK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Short_Broken_Part", "PREFAB_BRICK_WALL_SHORT_BROKEN_DARK")

-- Register Light Parts
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar1_Part", "PREFAB_COBBLESTONE_PILLAR1_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar2_Part", "PREFAB_COBBLESTONE_PILLAR2_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar3_Short_Part", "PREFAB_COBBLESTONE_PILLAR3_SHORT_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar4_Octo_Part", "PREFAB_COBBLESTONE_PILLAR4_OCTO_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar_Broken1_Part", "PREFAB_COBBLESTONE_PILLAR_BROKEN1_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Part", "PREFAB_BRICK_PILLAR_SQUARE_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pillar_Octo_Part", "PREFAB_BRICK_PILLAR_OCTO_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Short_Part", "PREFAB_BRICK_PILLAR_SQUARE_SHORT_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pillar_Broken1_Part", "PREFAB_BRICK_PILLAR_BROKEN1_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Base_Part", "PREFAB_COBBLESTONE_BASE_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Arch_Part", "PREFAB_ARCH_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Tomb_Part", "PREFAB_TOMB_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Pavilion_Part", "PREFAB_PAVILION_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part", "PREFAB_BRICK_PATHWAY_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part", "PREFAB_COBBLESTONE_PATHWAY_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Wall_Short_Part", "PREFAB_COBBLESTONE_WALL_SHORT_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Part", "PREFAB_BRICK_WALL_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Half_Part", "PREFAB_BRICK_WALL_HALF_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Short_Part", "PREFAB_BRICK_WALL_SHORT_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Short_Half_Part", "PREFAB_BRICK_WALL_SHORT_HALF_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Curve_Part", "PREFAB_BRICK_WALL_CURVE_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Short_Curve_Part", "PREFAB_BRICK_WALL_SHORT_CURVE_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Broken_Part", "PREFAB_BRICK_WALL_BROKEN_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Half_Broken_Part", "PREFAB_BRICK_WALL_HALF_BROKEN_LIGHT")
MedievalWall:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Short_Broken_Part", "PREFAB_BRICK_WALL_SHORT_BROKEN_LIGHT")

-- Register Decoration Parts
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Fence_Part", "PREFAB_IRON_GATE_FENCE")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Fence_Half_Part", "PREFAB_IRON_GATE_FENCE_HALF")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Lock_Part", "PREFAB_IRON_GATE_LOCK")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Single_Part", "PREFAB_IRON_GATE_SINGLE")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Door_Part", "PREFAB_IRON_GATE_DOOR")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Cross_Part", "PREFAB_DECO_CROSS")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Cross_Large_Part", "PREFAB_DECO_CROSS_LARGE")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Lantern_Part", "PREFAB_DECO_LANTERN")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Fleurdelis_Part", "PREFAB_DECO_FLEURDELIS")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part", "PREFAB_DECO_BRAZIER_ON")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Fire_Part", "PREFAB_DECO_BRAZIER_ON_FIRE")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_Off_Part", "PREFAB_DECO_BRAZIER_OFF")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Dragon_Part", "PREFAB_DECO_DRAGON")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Sundial_Part", "PREFAB_DECO_SUNDIAL")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Torch_On_Fire_Part", "PREFAB_DECO_WALL_TORCH_ON_FIRE")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Torch_Part", "PREFAB_DECO_WALL_TORCH")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Canopy_Part", "PREFAB_DECO_WALL_CANOPY")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Red_Part", "PREFAB_DECO_WALL_BANNER_RED")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Orange_Part", "PREFAB_DECO_WALL_BANNER_ORANGE")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Green_Part", "PREFAB_DECO_WALL_BANNER_GREEN")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Teal_Part", "PREFAB_DECO_WALL_BANNER_TEAL")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Blue_Part", "PREFAB_DECO_WALL_BANNER_BLUE")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Purple_Part", "PREFAB_DECO_WALL_BANNER_PURPLE")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Part", "PREFAB_ORNAMENT_FLEUR")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Gold_Part", "PREFAB_ORNAMENT_FLEUR_GOLD")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Ornament_Cross_Part", "PREFAB_ORNAMENT_CROSS")
MedievalWall:registerAssetId("models/fence.png", "TEXTURE_FENCE")
MedievalWall:registerAssetId("models/fire.png", "FIRE_TEXTURE")

MedievalWall:registerAssetProcessor("models/ironfencedark.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
MedievalWall:registerAssetProcessor("models/ironfencelight.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
MedievalWall:registerAssetProcessor("models/core.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

MedievalWall:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_FENCE",
	HasAlphaTest = true,
	AlbedoTexture = "TEXTURE_FENCE"
})

MedievalWall:register({
	DataType = "MATERIAL",
	Id = "FIRE_MATERIAL",
	AlbedoTexture = "FIRE_TEXTURE"
})

MedievalWall:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_DARK",
	WallConfigName = "FENCE_IRON_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_DARK",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

MedievalWall:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_LIGHT",
	WallConfigName = "FENCE_IRON_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_LIGHT",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

MedievalWall:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_FLEUR_DARK",
	WallConfigName = "FENCE_IRON_FLEUR_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_FLEUR_DARK",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

MedievalWall:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_FLEUR_LIGHT",
	WallConfigName = "FENCE_IRON_FLEUR_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_FLEUR_LIGHT",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

MedievalWall:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_STONE_DARK",
	WallConfigName = "FENCE_STONE_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_STONE_DARK",
	CrenationDistance = 4.8,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

MedievalWall:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_STONE_LIGHT",
	WallConfigName = "FENCE_STONE_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_STONE_LIGHT",
	CrenationDistance = 4.8,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_DARK",
	Name = "BRICK_WALL_DARK_NAME",
	Description = "BRICK_WALL_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{2.4, 0.1},
					{2.4, -0.1},
					{-2.4, -0.1},
					{-2.4, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_LIGHT",
	Name = "BRICK_WALL_LIGHT_NAME",
	Description = "BRICK_WALL_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{2.4, 0.1},
					{2.4, -0.1},
					{-2.4, -0.1},
					{-2.4, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_SHORT_DARK",
	Name = "BRICK_WALL_SHORT_DARK_NAME",
	Description = "BRICK_WALL_SHORT_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{2.4, 0.1},
					{2.4, -0.1},
					{-2.4, -0.1},
					{-2.4, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_SHORT_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_SHORT_LIGHT",
	Name = "BRICK_WALL_SHORT_LIGHT_NAME",
	Description = "BRICK_WALL_SHORT_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{2.4, 0.1},
					{2.4, -0.1},
					{-2.4, -0.1},
					{-2.4, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_SHORT_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_SHORT_HALF_DARK",
	Name = "BRICK_WALL_SHORT_HALF_DARK_NAME",
	Description = "BRICK_WALL_SHORT_HALF_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.1, 0.1},
					{1.1, -0.1},
					{-1.1, -0.1},
					{-1.1, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_SHORT_HALF_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_SHORT_HALF_LIGHT",
	Name = "BRICK_WALL_SHORT_HALF_LIGHT_NAME",
	Description = "BRICK_WALL_SHORT_HALF_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.1, 0.1},
					{1.1, -0.1},
					{-1.1, -0.1},
					{-1.1, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_SHORT_HALF_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_SHORT_CURVE_DARK",
	Name = "BRICK_WALL_SHORT_CURVE_DARK_NAME",
	Description = "BRICK_WALL_SHORT_CURVE_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{-0.2, 0.2},
					{0.6, 1.2},
					{0.8, 2.3},
					{1.0, 2.3},
					{1, 1},
					{0.2, -0.2},
					{-1, -1},
					{-2.3, -1.0},
					{-2.3, -0.8},
					{-1.2, -0.6}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_SHORT_CURVE_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_SHORT_CURVE_LIGHT",
	Name = "BRICK_WALL_SHORT_CURVE_LIGHT_NAME",
	Description = "BRICK_WALL_SHORT_CURVE_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{-0.2, 0.2},
					{0.6, 1.2},
					{0.8, 2.3},
					{1.0, 2.3},
					{1, 1},
					{0.2, -0.2},
					{-1, -1},
					{-2.3, -1.0},
					{-2.3, -0.8},
					{-1.2, -0.6}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_SHORT_CURVE_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_CURVE_DARK",
	Name = "BRICK_WALL_CURVE_DARK_NAME",
	Description = "BRICK_WALL_CURVE_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{-0.2, 0.2},
					{0.6, 1.2},
					{0.8, 2.3},
					{1.0, 2.3},
					{1, 1},
					{0.2, -0.2},
					{-1, -1},
					{-2.3, -1.0},
					{-2.3, -0.8},
					{-1.2, -0.6}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_CURVE_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_CURVE_LIGHT",
	Name = "BRICK_WALL_CURVE_LIGHT_NAME",
	Description = "BRICK_WALL_CURVE_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{-0.2, 0.2},
					{0.6, 1.2},
					{0.8, 2.3},
					{1.0, 2.3},
					{1, 1},
					{0.2, -0.2},
					{-1, -1},
					{-2.3, -1.0},
					{-2.3, -0.8},
					{-1.2, -0.6}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_CURVE_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_HALF_DARK",
	Name = "BRICK_WALL_HALF_DARK_NAME",
	Description = "BRICK_WALL_HALF_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.1, 0.1},
					{1.1, -0.1},
					{-1.1, -0.1},
					{-1.1, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_HALF_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_HALF_LIGHT",
	Name = "BRICK_WALL_HALF_LIGHT_NAME",
	Description = "BRICK_WALL_HALF_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.1, 0.1},
					{1.1, -0.1},
					{-1.1, -0.1},
					{-1.1, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_HALF_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_HALF_BROKEN_DARK",
	Name = "BRICK_WALL_HALF_BROKEN_DARK_NAME",
	Description = "BRICK_WALL_HALF_BROKEN_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.1, 0.1},
					{1.1, -0.1},
					{-1.1, -0.1},
					{-1.1, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_HALF_BROKEN_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_HALF_BROKEN_LIGHT",
	Name = "BRICK_WALL_HALF_BROKEN_LIGHT_NAME",
	Description = "BRICK_WALL_HALF_BROKEN_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.1, 0.1},
					{1.1, -0.1},
					{-1.1, -0.1},
					{-1.1, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_HALF_BROKEN_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_BROKEN_DARK",
	Name = "BRICK_WALL_BROKEN_DARK_NAME",
	Description = "BRICK_WALL_BROKEN_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.6, 0.1},
					{1.6, -0.1},
					{-1.6, -0.1},
					{-1.6, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_BROKEN_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_BROKEN_LIGHT",
	Name = "BRICK_WALL_BROKEN_LIGHT_NAME",
	Description = "BRICK_WALL_BROKEN_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.6, 0.1},
					{1.6, -0.1},
					{-1.6, -0.1},
					{-1.6, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_BROKEN_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_SHORT_BROKEN_DARK",
	Name = "BRICK_WALL_SHORT_BROKEN_DARK_NAME",
	Description = "BRICK_WALL_SHORT_BROKEN_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.7, 0.1},
					{1.7, -0.1},
					{-1.7, -0.1},
					{-1.7, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_SHORT_BROKEN_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_SHORT_BROKEN_LIGHT",
	Name = "BRICK_WALL_SHORT_BROKEN_LIGHT_NAME",
	Description = "BRICK_WALL_SHORT_BROKEN_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.7, 0.1},
					{1.7, -0.1},
					{-1.7, -0.1},
					{-1.7, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_SHORT_BROKEN_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_WALL_SHORT_DARK",
	Name = "COBBLESTONE_WALL_SHORT_DARK_NAME",
	Description = "COBBLESTONE_WALL_SHORT_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{2.4, 0.1},
					{2.4, -0.1},
					{-2.4, -0.1},
					{-2.4, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_WALL_SHORT_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_WALL_SHORT_LIGHT",
	Name = "COBBLESTONE_WALL_SHORT_LIGHT_NAME",
	Description = "COBBLESTONE_WALL_SHORT_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{2.4, 0.1},
					{2.4, -0.1},
					{-2.4, -0.1},
					{-2.4, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_WALL_SHORT_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_BASE_DARK",
	Name = "COBBLESTONE_BASE_DARK_NAME",
	Description = "COBBLESTONE_BASE_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.2, 1.2},
					{1.2, -1.2},
					{-1.2, -1.2},
					{-1.2, 1.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_BASE_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_BASE_LIGHT",
	Name = "COBBLESTONE_BASE_LIGHT_NAME",
	Description = "COBBLESTONE_BASE_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.2, 1.2},
					{1.2, -1.2},
					{-1.2, -1.2},
					{-1.2, 1.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_BASE_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR1_DARK",
	Name = "COBBLESTONE_PILLAR1_DARK_NAME",
	Description = "COBBLESTONE_PILLAR1_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR1_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR1_LIGHT",
	Name = "COBBLESTONE_PILLAR1_LIGHT_NAME",
	Description = "COBBLESTONE_PILLAR1_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR1_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR2_DARK",
	Name = "COBBLESTONE_PILLAR2_DARK_NAME",
	Description = "COBBLESTONE_PILLAR1_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR2_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR2_LIGHT",
	Name = "COBBLESTONE_PILLAR2_LIGHT_NAME",
	Description = "COBBLESTONE_PILLAR1_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR2_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR3_SHORT_DARK",
	Name = "COBBLESTONE_PILLAR3_SHORT_DARK_NAME",
	Description = "COBBLESTONE_PILLAR3_SHORT_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR3_SHORT_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR3_SHORT_LIGHT",
	Name = "COBBLESTONE_PILLAR3_SHORT_LIGHT_NAME",
	Description = "COBBLESTONE_PILLAR3_SHORT_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR3_SHORT_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR4_OCTO_DARK",
	Name = "COBBLESTONE_PILLAR4_OCTO_DARK_NAME",
	Description = "COBBLESTONE_PILLAR4_OCTO_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR4_OCTO_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR4_OCTO_LIGHT",
	Name = "COBBLESTONE_PILLAR4_OCTO_LIGHT_NAME",
	Description = "COBBLESTONE_PILLAR4_OCTO_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR4_OCTO_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR_BROKEN1_DARK",
	Name = "COBBLESTONE_PILLAR_BROKEN1_DARK_NAME",
	Description = "COBBLESTONE_PILLAR_BROKEN1_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR_BROKEN1_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR_BROKEN1_LIGHT",
	Name = "COBBLESTONE_PILLAR_BROKEN1_LIGHT_NAME",
	Description = "COBBLESTONE_PILLAR_BROKEN1_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR_BROKEN1_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_SQUARE_DARK",
	Name = "BRICK_PILLAR_SQUARE_DARK_NAME",
	Description = "BRICK_PILLAR_SQUARE_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_SQUARE_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_SQUARE_LIGHT",
	Name = "BRICK_PILLAR_SQUARE_LIGHT_NAME",
	Description = "BRICK_PILLAR_SQUARE_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_SQUARE_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_OCTO_DARK",
	Name = "BRICK_PILLAR_OCTO_DARK_NAME",
	Description = "BRICK_PILLAR_OCTO_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_OCTO_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_OCTO_LIGHT",
	Name = "BRICK_PILLAR_OCTO_LIGHT_NAME",
	Description = "BRICK_PILLAR_OCTO_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_OCTO_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_SQUARE_SHORT_DARK",
	Name = "BRICK_PILLAR_SQUARE_SHORT_DARK_NAME",
	Description = "BRICK_PILLAR_SQUARE_SHORT_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_SQUARE_SHORT_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_SQUARE_SHORT_LIGHT",
	Name = "BRICK_PILLAR_SQUARE_SHORT_LIGHT_NAME",
	Description = "BRICK_PILLAR_SQUARE_SHORT_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_SQUARE_SHORT_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_BROKEN1_DARK",
	Name = "BRICK_PILLAR_BROKEN1_DARK_NAME",
	Description = "BRICK_PILLAR_BROKEN1_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_BROKEN1_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_BROKEN1_LIGHT",
	Name = "BRICK_PILLAR_BROKEN1_LIGHT_NAME",
	Description = "BRICK_PILLAR_BROKEN1_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.3},
					{0.3, -0.3},
					{-0.3, -0.3},
					{-0.3, 0.3}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_BROKEN1_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ARCH_DARK",
	Name = "ARCH_DARK_NAME",
	Description = "ARCH_DARK_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ARCH_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ARCH_LIGHT",
	Name = "ARCH_LIGHT_NAME",
	Description = "ARCH_LIGHT_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ARCH_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_TOMB_DARK",
	Name = "TOMB_DARK_NAME",
	Description = "TOMB_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.4, 2.5},
					{1.4, -2.5},
					{-1.4, -2.5},
					{-1.4, 2.5}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TOMB_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_TOMB_LIGHT",
	Name = "TOMB_LIGHT_NAME",
	Description = "TOMB_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.4, 2.5},
					{1.4, -2.5},
					{-1.4, -2.5},
					{-1.4, 2.5}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TOMB_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PAVILION_DARK",
	Name = "PAVILION_DARK_NAME",
	Description = "PAVILION_DARK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {-1.7, 3}, 12 )
			},
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {1.7, 3}, 12 )
			},
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {3.4, 0}, 12 )
			},
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {-1.7, -3}, 12 )
			},
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {1.7, -3}, 12 )
			},
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {-3.4, 0}, 12 )
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PAVILION_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PAVILION_LIGHT",
	Name = "PAVILION_LIGHT_NAME",
	Description = "PAVILION_LIGHT_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {-1.7, 3}, 12 )
			},
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {1.7, 3}, 12 )
			},
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {3.4, 0}, 12 )
			},
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {-1.7, -3}, 12 )
			},
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {1.7, -3}, 12 )
			},
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 0.5, {-3.4, 0}, 12 )
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PAVILION_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PATHWAY_DARK",
	Name = "BRICK_PATHWAY_DARK_NAME",
	Description = "BRICK_PATHWAY_DARK_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PATHWAY_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PATHWAY_LIGHT",
	Name = "BRICK_PATHWAY_LIGHT_NAME",
	Description = "BRICK_PATHWAY_LIGHT_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PATHWAY_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PATHWAY_DARK",
	Name = "COBBLESTONE_PATHWAY_DARK_NAME",
	Description = "COBBLESTONE_PATHWAY_DARK_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PATHWAY_DARK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PATHWAY_LIGHT",
	Name = "COBBLESTONE_PATHWAY_LIGHT_NAME",
	Description = "COBBLESTONE_PATHWAY_LIGHT_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PATHWAY_LIGHT"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_FENCE",
	Name = "IRON_GATE_FENCE_NAME",
	Description = "IRON_GATE_FENCE_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{2.4, 0.1},
					{2.4, -0.1},
					{-2.4, -0.1},
					{-2.4, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_FENCE"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_FENCE_HALF",
	Name = "IRON_GATE_FENCE_HALF_NAME",
	Description = "IRON_GATE_FENCE_HALF_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.1, 0.1},
					{1.1, -0.1},
					{-1.1, -0.1},
					{-1.1, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_FENCE_HALF"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_LOCK",
	Name = "IRON_GATE_LOCK_NAME",
	Description = "IRON_GATE_LOCK_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{2.4, 0.1},
					{2.4, -0.1},
					{-2.4, -0.1},
					{-2.4, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_LOCK"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_SINGLE",
	Name = "IRON_GATE_SINGLE_NAME",
	Description = "IRON_GATE_SINGLE_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.1, 0.1},
					{1.1, -0.1},
					{-1.1, -0.1},
					{-1.1, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_SINGLE"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_DOOR",
	Name = "IRON_GATE_DOOR_NAME",
	Description = "IRON_GATE_DOOR_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.1, 0.1},
					{1.1, -0.1},
					{-1.1, -0.1},
					{-1.1, 0.1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_DOOR"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_CROSS",
	Name = "DECO_CROSS_NAME",
	Description = "DECO_CROSS_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_CROSS"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_CROSS_LARGE",
	Name = "DECO_CROSS_LARGE_NAME",
	Description = "DECO_CROSS_LARGE_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_CROSS_LARGE"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_LANTERN",
	Name = "DECO_LANTERN_NAME",
	Description = "DECO_LANTERN_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_LANTERN"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_FLEURDELIS",
	Name = "DECO_FLEURDELIS_NAME",
	Description = "DECO_FLEURDELIS_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_FLEURDELIS"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_BRAZIER_ON",
	Name = "DECO_BRAZIER_ON_NAME",
	Description = "DECO_BRAZIER_ON_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_BRAZIER_ON"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_BRAZIER_ON_FIRE",
	Name = "DECO_BRAZIER_ON_FIRE_NAME",
	Description = "DECO_BRAZIER_ON_FIRE_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_BRAZIER_ON_FIRE"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_BRAZIER_OFF",
	Name = "DECO_BRAZIER_OFF_NAME",
	Description = "DECO_BRAZIER_OFF_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_BRAZIER_OFF"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_DRAGON",
	Name = "DECO_DRAGON_NAME",
	Description = "DECO_DRAGON_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_DRAGON"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_SUNDIAL",
	Name = "DECO_SUNDIAL_NAME",
	Description = "DECO_SUNDIAL_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_SUNDIAL"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_TORCH_ON_FIRE",
	Name = "DECO_WALL_TORCH_ON_FIRE_NAME",
	Description = "DECO_WALL_TORCH_ON_FIRE_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_TORCH_ON_FIRE"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_TORCH",
	Name = "DECO_WALL_TORCH_NAME",
	Description = "DECO_WALL_TORCH_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_TORCH"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_CANOPY",
	Name = "DECO_WALL_CANOPY_NAME",
	Description = "DECO_WALL_CANOPY_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_CANOPY"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_BANNER_RED",
	Name = "DECO_WALL_BANNER_RED_NAME",
	Description = "DECO_WALL_BANNER_RED_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_BANNER_RED"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_BANNER_ORANGE",
	Name = "DECO_WALL_BANNER_ORANGE_NAME",
	Description = "DECO_WALL_BANNER_ORANGE_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_BANNER_ORANGE"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_BANNER_GREEN",
	Name = "DECO_WALL_BANNER_GREEN_NAME",
	Description = "DECO_WALL_BANNER_GREEN_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_BANNER_GREEN"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_BANNER_TEAL",
	Name = "DECO_WALL_BANNER_TEAL_NAME",
	Description = "DECO_WALL_BANNER_TEAL_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_BANNER_TEAL"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_BANNER_BLUE",
	Name = "DECO_WALL_BANNER_BLUE_NAME",
	Description = "DECO_WALL_BANNER_BLUE_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_BANNER_BLUE"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_BANNER_PURPLE",
	Name = "DECO_WALL_BANNER_PURPLE_NAME",
	Description = "DECO_WALL_BANNER_PURPLE_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_BANNER_PURPLE"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ORNAMENT_FLEUR",
	Name = "ORNAMENT_FLEUR_NAME",
	Description = "ORNAMENT_FLEUR_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ORNAMENT_FLEUR"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ORNAMENT_FLEUR_GOLD",
	Name = "ORNAMENT_FLEUR_GOLD_NAME",
	Description = "ORNAMENT_FLEUR_GOLD_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ORNAMENT_FLEUR_GOLD"
	}
})

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ORNAMENT_CROSS",
	Name = "ORNAMENT_CROSS_NAME",
	Description = "ORNAMENT_CROSS_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ORNAMENT_CROSS"
	}
})
-- Register Dark Components
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Arch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Tomb_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "RIGHT",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "RIGHT",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "RIGHT",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Half_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Short_Half_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Curve_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Short_Curve_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Half_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Short_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Wall_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Base_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "GROUND_ACCESSORY",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar2_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar3_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar4_Octo_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar_Broken1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Octo_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Broken1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
-- Register Light Components
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Arch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Tomb_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "RIGHT",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Half_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Short_Half_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Curve_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Short_Curve_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Half_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Short_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Wall_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Base_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "GROUND_ACCESSORY",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar2_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar3_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar4_Octo_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar_Broken1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Octo_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Broken1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
-- Register Decorative Components
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Fence_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Fence_Half_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Lock_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Single_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Door_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Cross_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Cross_Large_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Lantern_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Fleurdelis_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	FeedbackComponentListToActivate = {
		{ "SMOKE_EMITTER", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Fire_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	FeedbackComponentListToActivate = {
		{ "FIRE_EMITTER", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_Off_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Dragon_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Sundial_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Torch_On_Fire_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	FeedbackComponentListToActivate = {
		{ "FIRE_TORCH_EMITTER", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Torch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Canopy_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "INNER_TOP"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Red_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Orange_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Green_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Teal_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Blue_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Purple_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "LEFT"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Gold_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "LEFT"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Ornament_Cross_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "LEFT"
})
-- Register Particles
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Fire_Part/FireEmitter", "FIRE_EMITTER")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part/SmokeEmitter", "SMOKE_EMITTER")
MedievalWall:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Torch_On_Fire_Part/FireTorchEmitter", "FIRE_TORCH_EMITTER")

MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Fire_Part/FireEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_FIRE",
	IsPlaying = true,
	IsEmitting = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = true
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Torch_On_Fire_Part/FireTorchEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_TORCH",
	IsPlaying = true,
	IsEmitting = true
})

MedievalWall:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "PARTICLE_SYSTEM_FIRE",
	Material = "FIRE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 1.5,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 1.5,
	StartSpeed = { 0.4, 0.4 },
	StartSize = { 2, 2 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 8,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 0.1,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.1, 0, 0.1 },
		ValueB = { -0.1, 0, -0.1 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.4, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.4, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 0.5 } }
		},
		AlphaList = {
			{ T = 0.1, Alpha = 0 },
			{ T = 0.3, Alpha = 75 },
			{ T = 0.5, Alpha = 100 },
			{ T = 0.7, Alpha = 50 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
			{ T = 0, Value = 0.2 },
			{ T = 0.6, Value = 0.3 },
			{ T = 1.2, Value = 0.4 }
	},
	RotationOverLifetime = { -45, 45 },
})

MedievalWall:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "PARTICLE_SYSTEM_TORCH",
	Material = "FIRE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 5,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 2,
	StartSpeed = { 0.2, 0.2 },
	StartSize = { 0.7, 0.7 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 8,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 0.1,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.05, 0, 0.05 },
		ValueB = { -0.05, 0, -0.05 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.4, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.4, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 0.5 } }
		},
		AlphaList = {
			{ T = 0.1, Alpha = 0 },
			{ T = 0.3, Alpha = 75 },
			{ T = 0.5, Alpha = 100 },
			{ T = 0.7, Alpha = 50 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
			{ T = 0, Value = 0.2 },
			{ T = 0.6, Value = 0.3 },
			{ T = 1.2, Value = 0.4 }
	},
	RotationOverLifetime = { -45, 45 },
})

MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part", {
	DataType = "COMP_DIRT_CIRCLE",
	HardRadius = 1,
	SoftRadius = 2,
	IsPermanent = true,
	Strength = 1
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part", {
	DataType = "COMP_DIRT_CIRCLE",
	HardRadius = 1,
	SoftRadius = 2,
	IsPermanent = true,
	Strength = 1
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 1,
	SoftRadius = 2,
	Strength = 1
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part", {
	DataType = "COMP_DIRT_CIRCLE",
	HardRadius = 1,
	SoftRadius = 2,
	IsPermanent = true,
	Strength = 1
})

-- Grounded Pillar Base
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base1", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base2", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base3", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base4", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base5", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base6", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base1", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base2", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base3", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base4", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base5", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base6", {
	DataType = "COMP_GROUNDED"
})

-- Grounded Fence Pillars
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Fence_Iron_Fleur_Part/Pillar1", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Fence_Iron_Part/Pillar2", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Fence_Stone_Part/Pillar3", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Fence_Iron_Fleur_Part/Pillar1", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Fence_Iron_Part/Pillar2", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Fence_Stone_Part/Pillar3", {
	DataType = "COMP_GROUNDED"
})

-- Grounded Brick Pathway
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone1", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone2", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone3", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone4", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone5", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone6", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone7", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone8", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone9", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone10", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone11", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone12", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone13", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone14", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone15", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone1", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone2", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone3", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone4", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone5", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone6", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone7", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone8", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone9", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone10", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone11", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone12", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone13", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone14", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone15", {
	DataType = "COMP_GROUNDED"
})
-- Grounded Cobblestone Pathway
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble1", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble2", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble3", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble4", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble5", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble6", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble7", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble8", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble9", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble10", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble11", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble12", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble13", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble14", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble15", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble16", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble17", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble18", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble19", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble20", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble21", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble22", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble23", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble24", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pathway_Part/Cobble25", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble1", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble2", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble3", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble4", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble5", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble6", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble7", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble8", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble9", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble10", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble11", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble12", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble13", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble14", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble15", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble16", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble17", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble18", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble19", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble20", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble21", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble22", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble23", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble24", {
	DataType = "COMP_GROUNDED"
})
MedievalWall:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pathway_Part/Cobble25", {
	DataType = "COMP_GROUNDED"
})